Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class AttributesSelectionImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.AttributesSelectionImpl

All Implemented Interfaces:
  AttributesSelection

    public class AttributesSelectionImpl

extends java.lang.Object
implements AttributesSelection

This class is used to manage the list of attributes that are to be returned during a Search operation

Version:
  $Revision: 1.3 $
Author:

Constructor Summary
`protected` | `AttributesSelectionImpl()`

Method Summary
`void` | `addAttribute(java.lang.String attribute)` add an attribute to the list of attributes to be returned
`void` | `clearAttributes()` clears the attribute list
`java.util.ArrayList` | `getAttributesList()` get the list of attributes as a Vector
`void` | `removeAttribute(java.lang.String attribute)` remove an attribute from the list of attributes to be returned
`void` | `reset()` Method to reset the values

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributesSelectionImpl

    protected AttributesSelectionImpl()

Method Detail

### reset

    public void reset()

  Description copied from interface: `AttributesSelection`
  Method to reset the values

  Specified by:
    `reset` in interface `AttributesSelection`

### addAttribute

    public void addAttribute(java.lang.String attribute)

  add an attribute to the list of attributes to be returned

  Specified by:
    `addAttribute` in interface `AttributesSelection`
  Parameters:
    `attribute` - the name of the attribute to be added to the list

### removeAttribute

    public void removeAttribute(java.lang.String attribute)

  remove an attribute from the list of attributes to be returned

  Specified by:
    `removeAttribute` in interface `AttributesSelection`
  Parameters:
    `attribute` - the name of the attribute to be removed from the list

### clearAttributes

    public void clearAttributes()

  clears the attribute list

  Specified by:
    `clearAttributes` in interface `AttributesSelection`

### getAttributesList

    public java.util.ArrayList getAttributesList()

  get the list of attributes as a Vector

  Specified by:
    `getAttributesList` in interface `AttributesSelection`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD